PSpell Aspell Enchant

Problems with the Windows version of XAMPP, questions, comments, and anything related.

PSpell Aspell Enchant

Postby SolveEtCoagula07 » 03. September 2006 04:40

How about if XAMPP came with the PHP funciton pspell automatically enabled?
If this is a bad idea, can someone help me by writing a tutorial of some kind explaining how to install pspell for XAMPP 1.5.3a on WinXP?
SolveEtCoagula07
 
Posts: 2
Joined: 01. May 2006 21:03

Postby Izzy » 03. September 2006 08:50

SolveEtCoagula07 wrote:How about if XAMPP came with the PHP funciton pspell automatically enabled?
If this is a bad idea, can someone help me by writing a tutorial of some kind explaining how to install pspell for XAMPP 1.5.3a on WinXP?


1. You need to download and install Aspell for Windows “GNU Aspell-0.50.3 (win32)”.

http://aspell.net/win32/

http://ftp.gnu.org/gnu/aspell/w32/Aspel ... -Setup.exe

Your Dictionaries are also here. Aspell needs at least one Dictionary to operate.

or

ftp://ftp.gnu.org/gnu/aspell/w32/

ftp://ftp.gnu.org/gnu/aspell/w32/Aspell ... -Setup.exe

ftp://ftp.gnu.org/gnu/aspell/w32/aspell-w32-0.50.3.zip


2. Aspell should copy the “aspell-15.dll” to the “Windows/System32” directory which the php entension php_pspell.dll requires and looks for to execute.
If not then locate aspell-15.dll in C:/Program Files/Aspell/bin/aspell-15.dll and copy it to C:/Windows/System 32/aspell-15.dll


3. You only need now to uncomment this line in:
xampp/apache/bin/php.ini
;extension=php_pspell.dll

to this:
extension=php_pspell.dll


4. Restart Apache.
(If Apache won't start paste the error message here).


5. Check the pspell module is in place and enabled by lookin at your phpinfo() file from the menu within the XAMPP Welcome Page.
http://localhost/index.php


6. Hoow kneads peespel aw ayespel eniwaigh. :D
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Postby programmer » 27. June 2007 16:00

Hi Izzy,

Thanks for the tutorial.

I tried everything but when i restarted apache, apache loads but gives this error twice. (alert)

PHP Startup: Unable to load dynamic library 'C:\Program Files\xampp\php\ext\php_pspell.dll' - The operating system cannot run %1

and my pspell still isn't working.

Can you please advice?

Thanks in advance
programmer
 
Posts: 2
Joined: 27. June 2007 15:55

Re: PSpell

Postby Opa114 » 18. November 2011 00:01

I have the same Problem.

I have activated the php_pspell.dll extension in the php.ini - but when i start the apache server there is the error: PHP Startup: Unable to load dynamic library 'C:\Program Files\xampp\php\ext\php_pspell.dll' - The operating system cannot....

I also installed the GNU Aspell-0.50.3 (win32) and copied the aspell-15.dll in the xampp\apache\bin folder, but the error message is still the same and alive :(

I use the latest XAMPP Version 1.7.7 and it runs on a Windows 7 64bit machine.

any ideas to solve this problem? thanks!!
Opa114
 
Posts: 3
Joined: 17. November 2011 23:54
Operating System: Windows 7 - 64Bit

Re: PSpell

Postby Sharley » 18. November 2011 00:08

Try copying the php extension dll from the \xampp\php\ext folder to the \xampp\apache\bin folder and then try again.

Move the aspell dll back to the system32 folder as outlined above.

This has been found to be a system path environment variable issue that may be caused by using the installer exe version as opposed to using the zip or 7zip archive version and the above has solved it for some instances of the system not being able to find an extension dll.
(The installer will be replaced in the next XAMPP release that will hopefully eliminate some of these issues).

BTW you may have more issues in future with some XAMPP components ported from Linux by installing XAMPP to a folder with a space in the name (they can't handle spaces in file or folder names).
The recommended location for XAMPP as defined in the readme_en.txt file is to the root of a drive or partition so you end up with, for example, C:\xampp.

Let me know back please if copying the extension dll allows you to move on.
Thanks and good luck. :)
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: PSpell

Postby Opa114 » 19. November 2011 02:08

Try copying the php extension dll from the \xampp\php\ext folder to the \xampp\apache\bin folder and then try again.
Move the aspell dll back to the system32 folder as outlined above.

--> i've tried that but ist has no effect - the error is alive :( i also moved the apsell.dll into the syswow64 folder - the same, nothing work!

My XAMPP is installed on C:\ in the folder xampp, i have no folder with space.

But i have seen, that in the latest XAMPP version there is NO! php_pspell.dll in the php\ext folder! So i have used an old one!? Is there no actual version for the latest XAMPP?

Other ideas?
Opa114
 
Posts: 3
Joined: 17. November 2011 23:54
Operating System: Windows 7 - 64Bit

Re: PSpell

Postby Sharley » 19. November 2011 02:30

My XAMPP is installed on C:\ in the folder xampp, i have no folder with space.
so what is this then>>>>>
PHP Startup: Unable to load dynamic library 'C:\Program Files\xampp\php\ext\php_pspell.dll' - The operating system cannot....


The dll is missing because there is no correctly compiled version and so it may be that Aspell/Pspell is now obsolete.
It needs to be VC9 TS compiled - TS = Thread Safe.

Your old dll will not work because it is VC6 TS compiled.

Have a look on the Internet for a php_pspell.dll VC9 TS download and see if you have better luck than I.

The alternate if you absolutely have to have Aspell is to download and install an older XAMPP version like 1.7.3 for example.

Or use Enchant, this may help or Google it:
http://blog.iwanluijks.nl/using-enchant ... art-1.html

There is a suitably compiled dll extension here:
http://downloads.php.net/pierre/
http://downloads.php.net/pierre/php_enc ... c9-x86.zip

I also found this on the net
Hi, when the PHP 5.3 came in, I reported that there are some extension
which doesn't work:
http://bugs.php.net/bug.php?id=48184&edit=1

And I got the following response from Pierre Joye:

>> php_pspell.dll => aspell-15.dll
> not supported anymore.

I don't know that what is the current situation, but this could be a
bad sign for you.


Good luck. :)
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: PSpell

Postby Opa114 » 19. November 2011 14:51

Sharley wrote:
'C:\Program Files\xampp\php\ext\php_pspell.dll' - The operating system cannot....

--> sorry, thats my fault. i've copiedthe url from above! by me ist shows the right error message: "C:\xampp\php\ext\php_pspell.dll"

Have a look on the Internet for a php_pspell.dll VC9 TS download and see if you have better luck than I.

--> i'll try :)

The alternate if you absolutely have to have Aspell is to download and install an older XAMPP version like 1.7.3 for example.

---> that would be the best method.. ;) and i need pspell, so i download 1.7.3 only for that project :)

Thank you!
Opa114
 
Posts: 3
Joined: 17. November 2011 23:54
Operating System: Windows 7 - 64Bit

Re: PSpell Aspell Enchant

Postby Sharley » 19. November 2011 23:17

Your welcome and thanks for the feedback. 8)

Good luck. :)
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 49 guests